org.icefaces.ace.component.contextmenu

## Class ContextMenuTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.contextmenu.ContextMenuTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ContextMenuTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextMenuTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setDirection(javax.el.ValueExpression direction)`
    `void` | `setEffect(javax.el.ValueExpression effect)`
    `void` | `setEffectDuration(javax.el.ValueExpression effectDuration)`
    `void` | `setFetch(javax.el.ValueExpression fetch)`
    `void` | `setFor(javax.el.ValueExpression forValue)`
    `void` | `setForceMenuUpdate(javax.el.ValueExpression forceMenuUpdate)`
    `void` | `setForDelegate(javax.el.ValueExpression forDelegate)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setModel(javax.el.ValueExpression model)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setStore(javax.el.ValueExpression store)`
    `void` | `setStyle(javax.el.ValueExpression style)`
    `void` | `setStyleClass(javax.el.ValueExpression styleClass)`
    `void` | `setWidgetVar(javax.el.ValueExpression widgetVar)`
    `void` | `setZindex(javax.el.ValueExpression zindex)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ContextMenuTag

          public ContextMenuTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setDirection

          public void setDirection(javax.el.ValueExpression direction)

    - #### setEffect

          public void setEffect(javax.el.ValueExpression effect)

    - #### setEffectDuration

          public void setEffectDuration(javax.el.ValueExpression effectDuration)

    - #### setFetch

          public void setFetch(javax.el.ValueExpression fetch)

    - #### setFor

          public void setFor(javax.el.ValueExpression forValue)

    - #### setForDelegate

          public void setForDelegate(javax.el.ValueExpression forDelegate)

    - #### setForceMenuUpdate

          public void setForceMenuUpdate(javax.el.ValueExpression forceMenuUpdate)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setModel

          public void setModel(javax.el.ValueExpression model)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setStore

          public void setStore(javax.el.ValueExpression store)

    - #### setStyle

          public void setStyle(javax.el.ValueExpression style)

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression styleClass)

    - #### setWidgetVar

          public void setWidgetVar(javax.el.ValueExpression widgetVar)

    - #### setZindex

          public void setZindex(javax.el.ValueExpression zindex)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.